#include <stdio.h>
#include <time.h>
#include <string.h>
#include <stdlib.h>
#include "guess.h"

int main(int argc, char *argv[])
{
int lower, higher, l, h, num, guess;
int count = 0, x;
struct opts options;
lower = DEF_LOWER;
higher = DEF_HIGHER;
options.helpme = 0;

for (x = 1; x < argc; x++)
  {
if (!strcmp(argv[x], "-h") || !strcmp(argv[x], "-help"))
  {
printf("\
guess v0.5 (C)BAM1999 by David Fifield\n\
\n\
-h, -help         Displays this help message\n\
-lower            Set lower bound for guess\n\
-higher           Set higher bound for guess\n\
-helpme           Show higher and lower bounds for each guess\n");
exit(0);
  }
if (!strcmp(argv[x], "-lower"))
  {
  x++;
  if (!sscanf(argv[x], "%d", &lower))
    {
    fprintf(stderr, "guess: Bad argument to lower bound: %s\n", argv[x]);
    exit(-1);
    }
  continue;
  }

if (!strcmp(argv[x], "-higher"))
  {
  x++;
  if (!sscanf(argv[x], "%d", &higher))
    {
    fprintf(stderr, "guess: Bad argument to higher bound: %s\n", argv[x]);
    exit(-1);
    }
  continue;
  }

if (!strcmp(argv[x], "-helpme"))
  {
  options.helpme = 1;
  continue;
  }

fprintf(stderr, "guess: Unknown argument: %s\n", argv[x]);
exit(-1);
  }

l = lower;
h = higher;

srand(time(NULL)); /*Randomize*/
num = rand() % (higher - lower + 1) + lower;
 do {
if (count == 0 || options.helpme)
printf("(%d-%d)\n", l, h);

guess = get_val();

if (guess < num)
  {
  printf("Too low!\n");
  if (guess > l)
  l = guess + 1;
  }

if (guess > num)
  {
  printf("Too high!\n");
  if (guess < h)
  h = guess - 1;
  }
 count++;
 } while (guess != num);
printf("Right! %d!\n", num);

exit(0);
}




